All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.models
Interface MDSelectorMenuItemNodeInterface

All Superinterfaces:
  NodeInterface, SelectorMenuItemNodeInterface, SimpleNodeInterface

All Known Implementing Classes:
  MDSelectorMenuItemNode

    public interface MDSelectorMenuItemNodeInterface

extends SelectorMenuItemNodeInterface

SelectorMenuItemNodeInterface defines methods for providing and getting selectors for a node.

See Also:
  `MenuNodeInterface`, `MenuBar`

Method Summary
`abstract com.sas.sasserver.metabaselist.MetabaseListInterface` | `getMetabase()` Returns the metabase model
`abstract com.sas.sasserver.mdtable.MultidimensionalTableV3Interface` | `getModel()` Returns the multidim model
`abstract javax.servlet.http.HttpServletRequest` | `getRequest()` Gets the current request object.
`abstract void` | `setMetabase(com.sas.sasserver.metabaselist.MetabaseListInterface value)` Sets the metabase model
`abstract void` | `setModel(com.sas.sasserver.mdtable.MultidimensionalTableV3Interface value)` Sets the mutidim model on the MenuNode
`abstract void` | `setRequest(javax.servlet.http.HttpServletRequest request)` Sets the request object.
`abstract void` | `setSelectorType(int selector)` Sets the selector name associated with the MenuNode

Methods inherited from interface com.sas.models.SelectorMenuItemNodeInterface
`getSelector, setSelector`

Methods inherited from interface com.sas.models.NodeInterface
`getNodeExpandedText, getNodeText, getNodeType`

Methods inherited from interface com.sas.models.SimpleNodeInterface
`countNodeChildren, getNodeChild, getNodeChildCount, getNodeChildren, isLeafNode`

Method Detail

### setSelectorType

    void setSelectorType(int selector)

  Sets the selector name associated with the MenuNode

  Parameters:
    `selector` - - the string value of the selector

### setModel

    void setModel(com.sas.sasserver.mdtable.MultidimensionalTableV3Interface value)

  Sets the mutidim model on the MenuNode

### getModel

    com.sas.sasserver.mdtable.MultidimensionalTableV3Interface getModel()

  Returns the multidim model

  Returns:
    The mutlidim model interface

### setMetabase

    void setMetabase(com.sas.sasserver.metabaselist.MetabaseListInterface value)

  Sets the metabase model

### getMetabase

    com.sas.sasserver.metabaselist.MetabaseListInterface getMetabase()

  Returns the metabase model

  Returns:
    The metabase model interface

### setRequest

    void setRequest(javax.servlet.http.HttpServletRequest request)

  Sets the request object. There may be cases where a Transformation Bean needs to get additional information from the request, such as a parameter value.

  Parameters:
    `request` - The request object

### getRequest

    javax.servlet.http.HttpServletRequest getRequest()

  Gets the current request object.

  Returns:
    The request object

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.